Name:		f2fs-tools		
Version:	1.0.0
Release:	3%{?dist}
Summary:	Tools for Flash-Friendly File System (F2FS)
License:	GPLv2+
URL:		http://sourceforge.net/projects/f2fs-tools/
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	automake

%description
NAND flash memory-based storage devices, such as SSD, and SD cards,
have been widely being used for ranging from mobile to server systems. 
Since they are known to have different characteristics from the 
conventional rotational disks,a file system, an upper layer to 
the storage device, should adapt to the changes
from the sketch.

F2FS is a new file system carefully designed for the 
NAND flash memory-based storage devices. 
We chose a log structure file system approach,
but we tried to adapt it to the new form of storage. 
Also we remedy some known issues of the very old log
structured file system, such as snowball effect 
of wandering tree and high cleaning overhead.

Because a NAND-based storage device shows different characteristics 
according to its internal geometry or flash memory management 
scheme aka FTL, we add various parameters not only for configuring 
on-disk layout, but also for selecting allocation
and cleaning algorithms.

%prep
%setup -q


%build
autoreconf --install
%configure
make %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} INSTALL="install -p" CP="cp -p" install


%files
%doc COPYING AUTHORS ChangeLog
%{_bindir}/mkfs.f2fs
%{_mandir}/man8/mkfs.f2fs.8*


%changelog
* Mon Oct 22 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 1.0.0-3
- Change to the correct license GPLv2+
- Remove README file to the section doc

* Mon Oct 15 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 1.0.0-2
- Add Changelog AUTHORS files to section doc
- Add wilcard to the manpages section.

* Sun Oct 07 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 1.0.0-1
- Initial packaging
